load('knv100.mat') 
clc

kijkl=k_PTD2(:,:,1:100); %change here to test each simulation: A4,A5,C1...
rsk=zeros(6,6);
tts=zeros(6,6);
%Ground truth
k_gtvec11=reshape(k_gt(1,1,:),size(k_gt,3),[]); % diagonal 1
k_gtvec22=reshape(k_gt(2,2,:),size(k_gt,3),[]); % diagonal 2
k_gtvec33=reshape(k_gt(3,3,:),size(k_gt,3),[]); % diagonal 3
k_gtvec44=reshape(k_gt(4,4,:),size(k_gt,3),[]); % diagonal 4
k_gtvec55=reshape(k_gt(5,5,:),size(k_gt,3),[]); % diagonal 5
k_gtvec66=reshape(k_gt(6,6,:),size(k_gt,3),[]); % diagonal 6
k_gtvec12=reshape(k_gt(1,2,:),size(k_gt,3),[]); %1-2
k_gtvec23=reshape(k_gt(2,3,:),size(k_gt,3),[]); %2-3
k_gtvec13=reshape(k_gt(1,3,:),size(k_gt,3),[]); %1-3
%population to test
kijkl_vec11=reshape(kijkl(1,1,:),size(kijkl,3),[]); % diagonal 1
kijkl_vec22=reshape(kijkl(2,2,:),size(kijkl,3),[]); % diagonal 2
kijkl_vec33=reshape(kijkl(3,3,:),size(kijkl,3),[]); % diagonal 3
kijkl_vec44=reshape(kijkl(4,4,:),size(kijkl,3),[]); % diagonal 4
kijkl_vec55=reshape(kijkl(5,5,:),size(kijkl,3),[]); % diagonal 5
kijkl_vec66=reshape(kijkl(6,6,:),size(kijkl,3),[]); % diagonal 6
kijkl_vec12=reshape(kijkl(1,2,:),size(kijkl,3),[]); %1-2
kijkl_vec23=reshape(kijkl(2,3,:),size(kijkl,3),[]); %2-3
kijkl_vec13=reshape(kijkl(1,3,:),size(kijkl,3),[]); %1-3
%t-test in each component
[h(1,1),tts(1,1)]=ttest(k_gtvec11(1:size(kijkl_vec11,1)), kijkl_vec11); % diagonal 1
[h(2,2),tts(2,2)]=ttest(k_gtvec22(1:size(kijkl_vec11,1)), kijkl_vec22); % diagonal 2
[h(3,3),tts(3,3)]=ttest(k_gtvec33(1:size(kijkl_vec11,1)), kijkl_vec33); % diagonal 3
[h(4,4),tts(4,4)]=ttest(k_gtvec44(1:size(kijkl_vec11,1)), kijkl_vec44); % diagonal 4
[h(5,5),tts(5,5)]=ttest(k_gtvec55(1:size(kijkl_vec11,1)), kijkl_vec55); % diagonal 5
[h(6,6),tts(6,6)]=ttest(k_gtvec66(1:size(kijkl_vec11,1)), kijkl_vec66); % diagonal 6
[h(1,2),tts(1,2)]=ttest(k_gtvec12(1:size(kijkl_vec11,1)), kijkl_vec12); %1-2
[h(2,3),tts(2,3)]=ttest(k_gtvec23(1:size(kijkl_vec11,1)), kijkl_vec23); %2-3
[h(1,3),tts(1,3)]=ttest(k_gtvec13(1:size(kijkl_vec11,1)), kijkl_vec13); %1-3
d_pfakeTT=sum(sum(tts))/9

tts

figure(2)
subplot(3,3,1)
boxplot([k_gtvec11(1:size(kijkl,3),1) kijkl_vec11r kijkl_vec11],'Labels',{'G.T.','REF.','FEMi'})
ylabel('k_{1111} (Pa)')
subplot(3,3,2)
boxplot([k_gtvec22(1:size(kijkl,3),1) kijkl_vec22r kijkl_vec22],'Labels',{'G.T.','REF.','FEMi'})
ylabel('k_{2222} (Pa)')
subplot(3,3,3)
boxplot([k_gtvec33(1:size(kijkl,3),1) kijkl_vec33r kijkl_vec33],'Labels',{'G.T.','REF.','FEMi'})
ylabel('k_{3333} (Pa)')
subplot(3,3,4)
boxplot([k_gtvec44(1:size(kijkl,3),1) kijkl_vec44r kijkl_vec44],'Labels',{'G.T.','REF.','FEMi'})
ylabel('k_{1212} (Pa)')
subplot(3,3,5)
boxplot([k_gtvec55(1:size(kijkl,3),1) kijkl_vec55r kijkl_vec55],'Labels',{'G.T.','REF.','FEMi'})
ylabel('k_{2323} (Pa)')
subplot(3,3,6)
boxplot([k_gtvec66(1:size(kijkl,3),1) kijkl_vec66r kijkl_vec66],'Labels',{'G.T.','REF.','FEMi'})
ylabel('k_{1313} (Pa)')
subplot(3,3,7)
boxplot([k_gtvec12(1:size(kijkl,3),1) kijkl_vec12r kijkl_vec12],'Labels',{'G.T.','REF.','FEMi'})
ylabel('k_{1122} (Pa)')
subplot(3,3,8)
boxplot([k_gtvec23(1:size(kijkl,3),1) kijkl_vec23r kijkl_vec23],'Labels',{'G.T.','REF.','FEMi'})
ylabel('k_{2233} (Pa)')
subplot(3,3,9)
boxplot([k_gtvec13(1:size(kijkl,3),1) kijkl_vec13r kijkl_vec13],'Labels',{'G.T.','REF.','FEMi'})
ylabel('k_{1133} (Pa)')

% figure(3)
% subplot(1,3,1)
% cdfplot(gt(:,1))
% hold on
% cdfplot(mdf64_5K5B5(:,1))
% hold on
% cdfplot(mdf64_5K6B5(:,1))
% hold on
% cdfplot(mdf64_5K7B5(:,1)) %,'Labels',{'G.T.','i75K5','i75K6','i75K7'},'-')
% xlabel('D_f pore')
% ylabel('F(D_f)')
% axis square
% legend('G.T.','i75K5','i75K6','i75K7','location','northwest')
